### Method

# Gtk.TextIter.forward_search

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_search (
      const GtkTextIter* iter,
      const char* str,
      GtkTextSearchFlags flags,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      const GtkTextIter* limit
    )

#### Description [src]

Searches forward for `str`.

Any match is returned by setting `match_start` to the first character of the match and `match_end` to the first character after the match. The search will not continue past `limit`. Note that a search is a linear or O(n) operation, so you may wish to use `limit` to avoid locking up your UI on large buffers.

`match_start` will never be set to a `GtkTextIter` located before `iter`, even if there is a possible `match_end` after or at `iter`.

#### Parameters

`str` | `const char*`
| a search string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`flags` | `GtkTextSearchFlags`
| flags affecting how the search is done
`match_start` | `GtkTextIter`
| return location for start of match, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`match_end` | `GtkTextIter`
| return location for end of match, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`limit` | `GtkTextIter`
| location of last possible `match_end`, or `NULL` for the end of the buffer
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
whether a match was found